---
agentTools:
  projectIndex: https://docs.instamojo.com/v1.1/llms.txt
---

# List of refunds

**Required Headers:**

* X-Api-Key
* X-Auth-Token

This API supports pagination. Pass the following query parameters  to retrieve a paged response:
`page` - page number to return (defaults to 1)
`limit` - count of payment requests per page (defaults to 500)

A paged response also includes the following headers to help you with rendering:
`total_count` - total count of payment requests
`pages` - total count of pages (based on the limit)

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "API Settings",
    "version": "1.1"
  },
  "servers": [
    {
      "url": "https://www.instamojo.com/api/1.1"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/refunds/": {
      "get": {
        "summary": "List of refunds",
        "description": "",
        "operationId": "get-list-of-refunds",
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"refunds\": [\n    {\n      \"id\": \"C5c0751269\",\n      \"payment_id\": \"MOJO5a06005J21512197\",\n      \"status\": \"Refunded\",\n      \"type\": \"QFL\",\n      \"body\": \"Customer isn't satisfied with the quality\",\n      \"refund_amount\": \"2500.00\",\n      \"total_amount\": \"2500.00\",\n      \"created_at\": \"2015-12-07T11:01:37.640Z\"\n    }\n   ]\n  \"success\": true\n}"
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"success\": false,\n    \"message\": \"Invalid Auth Token.\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": false,
                      "default": true
                    },
                    "message": {
                      "type": "string",
                      "example": "Invalid Auth Token."
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl https://www.instamojo.com/api/1.1/refunds/ \\\n  --header \"X-Api-Key: d82016f839e13cd0a79afc0ef5b288b3\" \\\n  --header \"X-Auth-Token: 3827881f669c11e8dad8a023fd1108c2\""
            },
            {
              "language": "python",
              "code": "import requests\n\nheaders = { \"X-Api-Key\": \"d82016f839e13cd0a79afc0ef5b288b3\", \"X-Auth-Token\":  \"3827881f669c11e8dad8a023fd1108c2\"}\n\nresponse = requests.get(\"https://www.instamojo.com/api/1.1/refunds/\", headers=headers)\nprint response.text"
            },
            {
              "language": "javascript",
              "code": "var request= require('request');\n\nvar headers = { 'X-Api-Key': 'd82016f839e13cd0a79afc0ef5b288b3', 'X-Auth-Token': '3827881f669c11e8dad8a023fd1108c2'}\n\nrequest.get('https://www.instamojo.com/api/1.1/refunds/', {headers: headers}, function(error, response, body){\n  if(!error && response.statusCode == 200){\n    console.log(body);\n  }\n})",
              "name": "Node"
            },
            {
              "language": "php",
              "code": "<?php\n\n$ch = curl_init();\n\ncurl_setopt($ch, CURLOPT_URL, 'https://www.instamojo.com/api/1.1/refunds/');\ncurl_setopt($ch, CURLOPT_HEADER, FALSE);\ncurl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);\ncurl_setopt($ch, CURLOPT_FOLLOWLOCATION, TRUE);\ncurl_setopt($ch, CURLOPT_HTTPHEADER,\n            array(\"X-Api-Key:d82016f839e13cd0a79afc0ef5b288b3\",\n                  \"X-Auth-Token:3827881f669c11e8dad8a023fd1108c2\"));\n$payload = Array(\n    'payment_id' => 'MOJO5a06005J21512197',\n    'type' => 'QFL',\n    'body' => \"Customer isn't satisfied with the quality\"\n);\n$response = curl_exec($ch);\ncurl_close($ch); \n\necho $response;\n\n?>"
            },
            {
              "language": "ruby",
              "code": "require 'faraday'\n\nheaders = {\"X-Api-Key\" => \"d82016f839e13cd0a79afc0ef5b288b3\", \"X-Auth-Token\" => \"3827881f669c11e8dad8a023fd1108c2\"}\nconn = Faraday.new(:url => 'https://www.instamojo.com/api/1.1/', :headers => headers)\nresponse = conn.get 'refunds/'\nputs response.body\n"
            }
          ],
          "samples-languages": [
            "curl",
            "python",
            "javascript",
            "php",
            "ruby"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true,
  "_id": "63053f959807941f67a92cf1:570cacdc8c9c351900d187c3"
}
```